//
//  SBSDKTextLayoutRecognizerResult.swift
//  scanbot_sdk
//
//  Created by Seifeddine Bouzid on 06.12.23.
//

import Foundation
import ScanbotSDK

extension SBSDKTextLayoutRecognizerResult {
    var encodedDictionary: [String: Any?] {
        return ["orientation": self.orientation.stringName,
                "writingDirection": self.writingDirection.stringName,
                "textlineOrder": self.textlineOrder.stringName,
                "deskewAngle": self.deskewAngle]

    }
    
    var encodedString: String? {
        return self.encodedDictionary.encodedString
    }
}
