//
//  SBSDKUIHealthInsuranceCardScannerConfiguration.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 28.08.19.
//

import Foundation
import ScanbotSDK

extension SBSDKUIHealthInsuranceCardScannerConfiguration {
    convenience init(from dictionary: [String: Any]) {
        let uiConfiguration = SBSDKUIHealthInsuranceCardScannerUIConfiguration(from: dictionary)
        let textConfiguration = SBSDKUIHealthInsuranceCardScannerTextConfiguration(from: dictionary)
        let behaviourConfiguration = SBSDKUIHealthInsuranceCardScannerBehaviorConfiguration(from: dictionary)
        let cameraConfiguration = SBSDKUICameraConfiguration(from: dictionary)
        self.init(uiConfiguration: uiConfiguration,
                  textConfiguration: textConfiguration,
                  behaviorConfiguration: behaviourConfiguration,
                  cameraConfiguration: cameraConfiguration)
    }
}
