//
//  SBSDKMedicalCertificateRecognizerCheckboxResult.swift
//  scanbot_sdk
//
//  Created by Serhii Chaban on 14.02.23.
//

import Foundation
import ScanbotSDK

extension SBSDKMedicalCertificateRecognizerCheckboxType {
    
    var stringName: String? {
        switch self {
        case .accidentNo: return "McBoxAccidentNo"
        case .accidentYes: return "McBoxAccidentYes"
        case .assignedToAccidentInsuranceDoctor: return "McBoxAssignedToAccidentInsuranceDoctor"
        case .careNo: return "McBoxRequiresCareNo"
        case .requiresCareYes: return "McBoxRequiresCareYes"
        case .initialCertificate: return "McBoxInitialCertificate"
        case .renewedCertificate: return "McBoxRenewedCertificate"
        case .workAccident: return "McBoxWorkAccident"
        case .finalCertificate: return "McBoxFinalCertificate"
        case .entitlementToContinuedPaymentNo: return "McBoxEntitlementToContinuedPaymentNo"
        case .entitlementToContinuedPaymentYes: return "McBoxEntitlementToContinuedPaymentYes"
        case .insuredPayCase: return "McBoxInsuredPayCase"
        case .otherAccident: return "McBoxOtherAccident"
        case .sickPayWasClaimedNo: return "McBoxSickPayWasClaimedNo"
        case .sickPayWasClaimedYes: return "McBoxSickPayWasClaimedYes"
        case .singleParentNo: return "McBoxSingleParentNo"
        case .singleParentYes: return "McBoxSingleParentYes"
        case .undefined: return "McBoxUnknown"
        default: return nil
        }
    }
}
