//
//  SBSDKDetectionResult.swift
//  scanbot_sdk
//
//  Created by Serhii Chaban on 01.07.22.
//

import Foundation
import ScanbotSDK

extension SBSDKDocumentDetectorResult {
    var encodedDictionary: [String: Any?] {
        var dictionary: [String: Any?] = ["detectionStatus": self.status.stringName,
                                          "polygon": self.polygon?.encodedDictionary ?? []]
        // this needed temporary an should be removed after update to the new android sdk version
        if let status = self.status.stringName {
            dictionary["detectionResult"] = status
        }
        return dictionary
    }
    
    var encodedString: String? {
        return self.encodedDictionary.encodedString
    }
}
