//
//  SBSDKUIBarcodesBatchScannerConfiguration.swift
//  barcode_scanner
//
//  Created by Yevgeniy Knizhnik on 20.01.21.
//

import Foundation
import ScanbotSDK

extension SBSDKUIBarcodesBatchScannerConfiguration {
    convenience init(from dictionary: [String: Any]) {
        let uiConfiguration = SBSDKUIBarcodesBatchScannerUIConfiguration(from: dictionary)
        let textConfiguration = SBSDKUIBarcodesBatchScannerTextConfiguration(from: dictionary)
        let behaviourConfiguration = SBSDKUIBarcodesBatchScannerBehaviorConfiguration(from: dictionary)
        let cameraConfiguration = SBSDKUICameraConfiguration(from: dictionary)
        let trackingOverlayConfiguration = SBSDKUIBarcodeTrackingOverlayConfiguration()
        self.init(uiConfiguration: uiConfiguration,
                  textConfiguration: textConfiguration,
                  behaviorConfiguration: behaviourConfiguration,
                  cameraConfiguration: cameraConfiguration,
                  trackingOverlayConfiguration: trackingOverlayConfiguration)
    }
}
